import QtQuick 2.4

// prompt user for ending the workout

ModalDialog {
    id: root
    blockKeys: true

    property string prompt: "Are you sure?"
    property string yesText: qsTr("YES") + application.emptyString
    property string noText: qsTr("NO") + application.emptyString

    property int borderWidth: 800 * main.screenScaleX
    property int borderHeight: 350 * main.screenScaleY
    property int textXOffset: 149 * main.screenScaleX
    property int textSize: 40 * main.screenScaleY

    signal yesClicked()
    signal noClicked()

    Connections {
        target: main.isTft && root.visible ? keymapper : null

        onStartPressed: {
            main.debugKeys("startPressed", "ConfirmationPrompt")
            root.yesClicked()
        }
        onStartQuickStartPressed: {
            main.debugKeys("startQuickStartPressed", "ConfirmationPrompt")
            root.yesClicked()
        }
        onStopPressed: {
            main.debugKeys("stopPressed", "ConfirmationPrompt")
            root.noClicked()
        }
        onStopPausePressed: {
            main.debugKeys("stopPausePressed", "ConfirmationPrompt")
            root.noClicked()
        }
    }

    BorderImage {   // pop-up dialog background
        id: border

        x: 0
        y: 0
        width: borderWidth
        height: borderHeight
        source: "../qml/" + main.graphicsPath + "Components/ConfirmationPrompt/Pop_Up_Lrg_Grey.png"
        border { top: 152 * main.screenScaleY; bottom: 165 * main.screenScaleY; left: 145 * main.screenScaleX; right: 144 * main.screenScaleX }

        Text {
            id: endPromptText
            x: textXOffset
            y: 35 * main.screenScaleY
            width: 501 * main.screenScaleX
            height: 99 * main.screenScaleY
            color: "#ffffff"
            text: root.prompt
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 35 * main.screenScaleY
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: textSize
        }

        ImageButton {
            id: noButton

            x: 538 * main.screenScaleX
            y: 157 * main.screenScaleY
            label_y_offset: -65 * main.screenScaleY
            label: noText
            smooth: true
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 22 * main.screenScaleY
            upimage: "../qml/" + main.graphicsPath + "Components/ConfirmationPrompt/Small_Stop.png"
            downimage: "../qml/" + main.graphicsPath + "Components/ConfirmationPrompt/Small_Stop_Down.png"
            onClicked: noClicked()
        }

        ImageButton {
            id: yesButton

            x: 149 * main.screenScaleX
            y: 178 * main.screenScaleY
            label_y_offset: -65 * main.screenScaleY
            label: yesText
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 22 * main.screenScaleY
            upimage: "../qml/" + main.graphicsPath + "Components/ConfirmationPrompt/Small_Start.png"
            downimage: "../qml/" + main.graphicsPath + "Components/ConfirmationPrompt/Small_Start_Down.png"
            onClicked: yesClicked()
        }
    }
}

