// MessagePopup - A modal rectoval pop-up window with a text message.  Optional timeout.

import QtQuick 2.4

ModalDialog{
    id: root

    property alias messageColor: popupText.color
    property string message
    property int xOffset: 332 * main.screenScaleX
    property int yOffset: 161 * main.screenScaleY
    property bool clickThrough: false

    onTimedOut: hide()  // hide the pop-up when timer expires
    visible: false

    function showWithTimeout(seconds) {
        buzzer.buttonPress()
        startTimeout(seconds)
        show()
    }

    function showMessage(string, seconds) {
        message = string
        showWithTimeout(seconds)
    }

    BorderImage {   // pop-up dialog background
        id: border

        x: root.xOffset
        y: root.yOffset
        width: 800 * main.screenScaleX
        height: 350 * main.screenScaleY
        source: "../qml/" + main.graphicsPath + "Components/MessagePopup/Pop_Up_Lrg_Grey.png"
        border { top: 152 * main.screenScaleY; bottom: 165 * main.screenScaleY; left: 145 * main.screenScaleX; right: 144 * main.screenScaleX }

        Text {
            id: popupText

            anchors.fill: parent
            anchors.margins: 30
            anchors.verticalCenter: parent.verticalCenter
            color: "#ffffff"
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 50 * main.screenScaleY
            text: root.message
        }

        MouseArea{
            anchors.fill: parent
            onClicked: if(dismissable) root.dismissed()
            visible: !clickThrough
        }

    }
}
