import QtQuick 2.4
import Components 1.0

Item{

    id: root

    x: 30 * main.screenScaleX
    opacity: disabled ? 0.5 : 1.0

    property string labelString: ""
    property string labelColor: "black"
    property string statusString: ""
    property string statusColor: "black"
    property alias labelcolor: button.label_color
    property bool buttonEnabled: true
    property bool buttonIsDown: button.isDown
    property bool buttonVisible: true

    signal buttonPressed()

    // attributes needed to be used in a KeyedControlList
    property bool selected: false
    property int navCursorWidth: label.width
    property bool disabled: false


    function enterPressed() {
        if(buttonEnabled) {
            buttonPressed()
        }
    }

    Text{
        id: label
        text: labelString
        color: labelColor
        anchors.verticalCenter: parent.verticalCenter
        width: 250 * main.screenScaleX
        wrapMode: Text.WordWrap
    }

    Text {
        id: statusLabel
        text: statusString
        color: statusColor
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: label.right
        anchors.leftMargin: 30 * main.screenScaleX
        width: buttonVisible ? 250 * main.screenScaleX : (parent.width - label.width)
        wrapMode: Text.WordWrap
    }

    ImageButton{
        id: button
        upimage:main.graphicsPath + "200/TRU_200_other_small_Button_Up.png"
        downimage:main.graphicsPath + "200/TRU_200_other_small_Button_Down.png"
        label_under: false
        anchors.verticalCenter: parent.verticalCenter
        anchors.right: parent.right
        height: 60 * main.screenScaleY
        width: 60 * main.screenScaleX
        useParentContainerSize: true
        enabled: buttonEnabled
        visible: buttonVisible
        onClicked: {
            buttonPressed()
        }
    }
}


