
import QtQuick 2.4
import Components 1.0

// prompt user for ending the workout

ModalDialog {
    id: root

    blockKeys: true

    signal confirmed()

    Connections {
        target: root.visible ? keymapper : null

        onEnter2Pressed: {
            main.debugKeys("enter2Pressed", "CruiseConfirmPrompt")
            confirmed()
        }
    }

    BorderImage {   // pop-up dialog background
        id: border

        x: 0
        y: 0
        width: 800 * main.screenScaleX
        height: 400 * main.screenScaleY
        source: main.graphicsPath + "Pop_Up_Lrg_Grey.png"
        border { top: 152 * main.screenScaleY; bottom: 165 * main.screenScaleY; left: 145 * main.screenScaleX; right: 144 * main.screenScaleX }

        Text {
            id: confirmPromptText
            x: 149 * main.screenScaleX
            y: 35 * main.screenScaleY
            width: 501 * main.screenScaleX
            color: "#ffffff"
            text: qsTr("HRC Cruise?") + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 35 * main.screenScaleY
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 36 * main.screenScaleY
        }

        Text {
            anchors.top: confirmPromptText.bottom
            anchors.horizontalCenter: parent.horizontalCenter
            text: qsTr("press ENTER again to confirm") + application.emptyString
            color: "#ffffff"
            font.bold: true
            font.pixelSize: 24 * main.screenScaleY

        }

        Text {
            id: cancelText

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.horizontalCenterOffset: -countdownText.width/2
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 73 * main.screenScaleY
            text: qsTr("CANCEL IN") + application.emptyString
            color: "#ffffff"
            font.bold: true
            font.pixelSize: 24 * main.screenScaleY
        }

        Text { // show count down to timeout of prompt (started by startTimeout(seconds) method of ModalDialog superclass
            id: countdownText

            x: 350 * main.screenScaleX
            y: 168 * main.screenScaleY
            color: "#ffffff"

            // display count down (with a leading 0 if remaining seconds < 10
            text: ":" + ((countDown.toString().length < 2) ? "0" : "") + countDown
            font.bold: true
            font.pixelSize: 96 * main.screenScaleY

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.horizontalCenterOffset: cancelText.width/2
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 73 * main.screenScaleY - cancelText.height/2 - 5
        }
    }
}
