import QtQuick 2.4
import ".."
import Components 1.0

Rectangle {
    id: root

    property alias model: countryList.model
    property alias modelTranslationContext: countryList.modelTranslationContext
    property alias currentIndex: countryList.currentIndex
    property alias selectedData: countryList.selectedData
    function incrementCurrentIndex() { countryList.incrementCurrentIndex() }
    function decrementCurrentIndex() { countryList.decrementCurrentIndex() }

    signal itemSelected(int index)
    signal close()

    z: 200
    visible: false
    color: "#cccccc"
    radius: 5 * main.screenScaleX
    width: 350 * main.screenScaleX
    height: 580 * main.screenScaleY
//    anchors.fill: parent

    onClose: {
        root.visible = false
    }

    ImageButton {
        id: close_button
        visible: main.isTouch

        z: 200

        width: 36 * main.screenScaleX
        height: 36 * main.screenScaleY
        anchors {   right: parent.right ; rightMargin: 3 * main.screenScaleX ;
            top: parent.top ; topMargin: 3 * main.screenScaleY
        }
        upimage: "../" + main.graphicsPath + "Keypad/KeyPad_X.png"
        downimage: "../" + main.graphicsPath + "Keypad/KeyPad_X.png"

        onClicked: root.close()
        mouseAreaScale: 2.0

    }

    SelectList {
        id: countryList
        listenKeys: root.visible

        onItemSelected: root.itemSelected(index)

        Connections {
            target: main.isTft && countryList.listenKeys ? keymapper : null

            onEnter2Pressed: {
                main.debugKeys("enter2Pressed", "CountryListPopup", "(countryList)")
                root.close()
            }

            onBackPressed: {
                main.debugKeys("backPressed", "CountryListPopup", "(countryList)")
                root.close()
            }
        }

        x: 100 * main.screenScaleX
        y: 80 * main.screenScaleY
        width: 247 * main.screenScaleX
        height: 450 * main.screenScaleY
    }
    Image {
        id: countrySwipeUpArrow
        x: 0
        y: 190 * main.screenScaleY
        source: "../" + main.graphicsPath + "Swipe_Arrows_Left.png"
        rotation: 90
    }
    Image {
        id: countrySwipeDownArrow
        x: 0
        y: 352 * main.screenScaleY
        source: "../" + main.graphicsPath + "Swipe_Arrows_Left.png"
        rotation: -90
    }

    Text {
        id: countryListLabel

        text: qsTr("Choose Country") + application.emptyString
        anchors {
            top: parent.top; topMargin: 10 * main.screenScaleY
            left: parent.left; leftMargin: 30 * main.screenScaleX
        }
        font.pixelSize: 16 * main.screenScaleY
    }
}
