import QtQuick 2.4
import Components 1.0

// Prompts for heart rate control programs

ModalDialog {
    id: root

    property string msgText: qsTranslate("HeartRatePrompts", "NA")

    Component.onCompleted: {
        msgModel.append({"msg":QT_TRANSLATE_NOOP("HeartRatePrompts", "APPROACHING")});
        msgModel.append({"msg":QT_TRANSLATE_NOOP("HeartRatePrompts", "WORKOUT BEGINNING")});
        msgModel.append({"msg":QT_TRANSLATE_NOOP("HeartRatePrompts", "STOPPING: HEART RATE EXCEEDING 12 BPM OF TARGET")});
        msgModel.append({"msg":QT_TRANSLATE_NOOP("HeartRatePrompts", "WORKOUT ENDING")});
        msgModel.append({"msg":QT_TRANSLATE_NOOP("HeartRatePrompts", "FITNESS TEST ENDING")});
    }

    function getMsg(index) {
        return qsTranslate("HeartRatePrompts", msgModel.get(index).msg);
    }

    function setMsg(index) {
        root.msgText = qsTranslate("HeartRatePrompts", msgModel.get(index).msg);
    }

    dismissable: true
    dismissAnywhere: true
    isTransparent: true

    BorderImage {   // pop-up dialog background
        id: border

        x: 0
        y: 0
        width: 800 * main.screenScaleX
        height: 350 * main.screenScaleY
        source: main.graphicsPath + "Pop_Up_Lrg_Grey.png"
        border { top: 152 * main.screenScaleY; bottom: 165 * main.screenScaleY; left: 145 * main.screenScaleX; right: 144 * main.screenScaleX }

        Text {
            id: promptText
//            x: 149 * main.screenScaleX
//            y: 35 * main.screenScaleY
            width: 501 * main.screenScaleX
            height: 99 * main.screenScaleY
            color: "#ffffff"
            text: root.msgText  + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 35 * main.screenScaleY
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 40 * main.screenScaleY
        }
    }

    ListModel {
        id: msgModel
    }
}

