import QtQuick 2.4
import Components 1.0

Item {

    id: root

    property bool intensifierActive: false
    property bool allowed: true

    signal intensifierPressed()

    width: childrenRect.width
    height: intenseGuyButton.height

    ImageButton {
        id: intenseGuyButton

        enabled: root.allowed && visible && opacity > 0
        anchors {
            bottom: parent.bottom
            bottomMargin: 0
            left: parent.left
            leftMargin: -width/2
        }

        z: 999
        upimage: intensifierActive ? main.graphicsPath + "224/224_Data_ToolBar_Round_Green.png" : main.graphicsPath + "224/224_Data_ToolBar_Round.png"
        downimage: upimage
        onClicked: intensifierPressed()
        icon: main.graphicsPath + "TL1000/Data_ToolBar_Icon_INTENSIFIER.png"
        label: qsTr("") //+ application.emptyString
    }

    BorderImage {
        id: orangeBackground
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: intenseGuyButton.left
        anchors.leftMargin: intenseGuyButton.width/2
        source: main.graphicsPath + "TL1000/Data_ToolBar_Icon_ORgradation.png"
        width: intensityYourWorkoutText.width + 100 * main.screenScaleX
        //height: 60
        border.left: 2 * main.screenScaleX
        border.right: 2 * main.screenScaleX
        horizontalTileMode: BorderImage.Stretch
        Image {
            id: lightningIcon
            source: main.graphicsPath + "TL1000/Data_ToolBar_Icon_LIGHTNING.png"
            anchors {
                right: parent.right
                verticalCenter: parent.verticalCenter
                rightMargin: -40 * main.screenScaleX
            }
        }

    }

    Text {
        id: intensityYourWorkoutText
        text: qsTr("INTENSIFY YOUR WORKOUT!") + application.emptyString
        font.pixelSize: 16 * main.screenScaleY
        font.bold: true
        anchors {
            verticalCenter: orangeBackground.verticalCenter
            horizontalCenter: orangeBackground.horizontalCenter
        }
    }
}
