import QtQuick 2.4

Item {
    id: root
    property bool keysAccepted: false
    property bool isMenu: false
    property bool isPlaying: false
    width: 500 * main.screenScaleX
    height: 380 * main.screenScaleY
    Text {
        id: deviceConnectedText
        width: 450 * main.screenScaleX
        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
        text: bluetoothAdapter.connected ? (bluetoothAdapter.currentConnectedDevice.name + " " + qsTr("Connected") + application.emptyString) : ""
        font { pixelSize: 36 * main.screenScaleY; family: "arial"; bold: true }
        horizontalAlignment: Text.AlignHCenter
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 40 * main.screenScaleY
    }
    Item {
        id: navDirections
        visible: root.isMenu
        width: 270 * main.screenScaleX
        height: 190 * main.screenScaleY
        anchors.centerIn: parent
        anchors.verticalCenterOffset: 20 * main.screenScaleY
        Text {
            id: text_n1
            text: qsTr("use") + application.emptyString
            font { pixelSize: 28 * main.screenScaleY; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
        }
        Item {
            id: text_n2
            width: 240 * main.screenScaleX
            height: 32 * main.screenScaleY
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_n1.bottom
            anchors.topMargin: 15 * main.screenScaleY
            Item {
                anchors.left: parent.left
                width: 90 * main.screenScaleX
                Image {
                    id: arrowRew
                    source: "../" + main.graphicsPath + "tft/REW_icon.png"
                    anchors.left: parent.left
                }
                Image {
                    id: arrowFwd
                    source: "../" + main.graphicsPath + "tft/FWD_icon.png"
                    anchors.right: parent.right
                }
            }
            Item {
                anchors.right: parent.right
                width: 90 * main.screenScaleX
                Image {
                    id: arrowDown
                    source: "../" + main.graphicsPath + "tft/arrow_down.png"
                    anchors.left: parent.left
                }
                Image {
                    id: arrowUp
                    source: "../" + main.graphicsPath + "tft/arrow_up.png"
                    anchors.right: parent.right
                }
            }
        }
        Text {
            id: text_n3
            text: qsTr("to navigate") + application.emptyString
            font { pixelSize: 28 * main.screenScaleY; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_n2.bottom
            anchors.topMargin: 15 * main.screenScaleY
        }
        Text {
            id: text_n4
            text: qsTr("menu.") + application.emptyString
            font { pixelSize: 28 * main.screenScaleY; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_n3.bottom
            anchors.topMargin: 15 * main.screenScaleY
        }
    }
    Item {
        id: bt_playScreenInstructions
        visible: main.isTft && root.keysAccepted && !root.isMenu
        width: 480 * main.screenScaleX
        height: 190 * main.screenScaleY
        anchors.centerIn: parent
        anchors.verticalCenterOffset: 20 * main.screenScaleY
        Text {
            id: bt_text_p1
            visible: root.isPlaying && !root.isMenu
            text: qsTr("use") + application.emptyString
            font { pixelSize: 28 * main.screenScaleY; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            scale: bt_text_p3.scale
        }
        Item {
            id: bt_text_p2
            visible: root.isPlaying && !root.isMenu
            width: 145 * main.screenScaleX
            height: 32 * main.screenScaleY
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: bt_text_p1.bottom
            anchors.topMargin: 15 * main.screenScaleY
            Image {
                id: rewImage2
                source: "../" + main.graphicsPath + "tft/REW_icon.png"
                anchors.left: parent.left
            }
            Image {
                id: fwdImage2
                source: "../" + main.graphicsPath + "tft/FWD_icon.png"
                anchors.right: parent.right
            }
        }
        Text {
            id: bt_text_p3
            visible: root.isPlaying && !root.isMenu
            text: qsTr("to advance or replay.") + application.emptyString
            font { pixelSize: 28 * main.screenScaleY; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: bt_text_p2.bottom
            anchors.topMargin: 15 * main.screenScaleY
            scale: width > parent.width ? parent.width / width : 1.0
        }
        Text {
            id: bt_text_p4
            width: 182 * main.screenScaleX
            height: 50 * main.screenScaleY
            anchors.left: bt_image_p5.left
            anchors.leftMargin: -5 * main.screenScaleX
            anchors.top: bt_text_p3.bottom
            anchors.topMargin: 15 * main.screenScaleY
            Text {
                id: p4_menu
                text: qsTr("MENU") + application.emptyString
                font { pixelSize: 18 * main.screenScaleY; family: "arial"; bold: true }
                x: 0
                y: 3 * main.screenScaleY
            }
            Image {
                id: p4_equals
                source: "../" + main.graphicsPath + "tft/equals.png"
                x: 62 * main.screenScaleX
            }
            Text {
                text: qsTr("ENTER") + application.emptyString
                font { pixelSize: 18 * main.screenScaleY; family: "arial"; bold: true }
                x: 111 * main.screenScaleX
                y: 3 * main.screenScaleY
            }
        }
        Image {
            id: bt_image_p5
            source: "../" + main.graphicsPath + "tft/vol-up-down_icons.png"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: bt_text_p4.bottom
            anchors.topMargin: 15 * main.screenScaleY
        }
    }
}
