import QtQuick 2.4
import Components 1.0

Item {
    id: root
//    id: bluetooth_controls
//    x: 562 * main.screenScaleX
    property bool upButtonEnabled: true
    property bool downButtonEnabled: true
    property bool leftButtonEnabled: true
    property bool rightButtonEnabled: true
    property bool centerButtonEnabled: true
    property bool listenKeys: false

    signal leftPressed()
    signal rightPressed()
    signal upPressed()
    signal downPressed()
    signal centerPressed()

    Connections {
        target: main.isTft && root.listenKeys ? keymapper : null

//        onDoubleLeftPressed: {
//            main.debugKeys("doubleLeftPressed", "MediaControls")
//            if (left_button.enabled)
//                left_button.clicked()
//        }

//        onDoubleRightPressed: {
//            main.debugKeys("doubleRightPressed", "MediaControls")
//            if (right_button.enabled)
//                right_button.clicked()
//        }

//        onUpButtonPressed: {
//            main.debugKeys("upButtonPressed", "MediaControls")
//            volume_controls.volumeUp()
//        }
//        onDownButtonPressed: {
//            main.debugKeys("downButtonPressed", "MediaControls")
//            volume_controls.volumeDown()
//        }

        onLeftButtonPressed: {
            main.debugKeys("leftButtonPressed", "MediaControls")
            if (left_button.enabled)
                left_button.clicked()
//            if(bluetoothAdapter.connected)
//                bluetoothAdapter.disconnect()
        }

        onRightButtonPressed: {
            main.debugKeys("rightButtonPressed", "MediaControls")
            if (right_button.enabled)
                right_button.clicked()
        }

        onEnter2Pressed: {
            main.debugKeys("enter2Pressed", "MediaControls")
            if (center_button.enabled)
                center_button.clicked()
        }
    }

//    visible: bluetoothAdapter.connected && main.isTouch
    width: 300 * main.screenScaleX
    height: 300 * main.screenScaleY
//    anchors.top: parent.top
//    anchors.topMargin: 86 * main.screenScaleY
    ImageButton {
        id: up_button
        x: 43 * main.screenScaleX
        y: -93
        anchors.bottom: center_button.verticalCenter
        anchors.bottomMargin: 42 * main.screenScaleY
        anchors.horizontalCenterOffset: 0
        anchors.horizontalCenter: center_button.horizontalCenter
        upimage: main.graphicsPath + "205/IPOD_Wheel_Top_Up.png"
        downimage: main.graphicsPath + "205/IPOD_Wheel_Top_Down.png"
        icon: main.graphicsPath + "205/IPOD_Controls_Up.png"
        mouseAreaScale: 0.7
        enabled: root.upButtonEnabled
        onClicked: {
            root.upPressed()
        }

    }
    ImageButton {
        id: center_button
        x: 114 * main.screenScaleX
        y: 66 * main.screenScaleY

        upimage: (ipodmanager.playStatus == "playing") ? downimage : main.graphicsPath + "205/IPOD_Wheel_Center_Up.png"
        downimage: main.graphicsPath + "205/IPOD_Wheel_Center_Down.png"
        icon: main.graphicsPath + "205/IPOD_Controls_Select.png"

        onClicked: {
            root.centerPressed()
//            if(bluetoothAdapter.currentConnectedDevice.isPlaying){
//                bluetoothAdapter.currentConnectedDevice.pause()
//            }else{
//                bluetoothAdapter.currentConnectedDevice.play()
//            }
        }
        mouseAreaScale: 0.7
        enabled: root.centerButtonEnabled
    }

    ImageButton {
        id: down_button
        anchors.horizontalCenterOffset: 1 * main.screenScaleX
        anchors.top: center_button.verticalCenter
        anchors.topMargin: 42 * main.screenScaleY
        anchors.horizontalCenter: center_button.horizontalCenter
        upimage: main.graphicsPath + "205/IPOD_Wheel_Bottom_Up.png"
        downimage: main.graphicsPath + "205/IPOD_Wheel_Bottom_Down.png"
        icon: main.graphicsPath + "205/IPOD_Controls_Down.png"
        mouseAreaScale: 0.7
        enabled: root.downButtonEnabled
        onClicked: {
            root.downPressed()
        }
    }

    ImageButton {
        id: left_button
        x: 0
        y: 116 * main.screenScaleY
        anchors.right: center_button.horizontalCenter
        anchors.rightMargin: 36 * main.screenScaleX
        anchors.verticalCenterOffset: 0
        anchors.verticalCenter: center_button.verticalCenter
        anchors.topMargin: 0
        upimage: main.graphicsPath + "205/IPOD_Wheel_Left_Up.png"
        downimage: main.graphicsPath + "205/IPOD_Wheel_Left_Down.png"
        icon: main.graphicsPath + "205/IPOD_Controls_Back.png"
        onClicked: {
            root.leftPressed()
//            if (bluetoothAdapter.connected) {
//                bluetoothAdapter.currentConnectedDevice.previous();
//            }
        }
        mouseAreaScale: 0.7
        enabled: root.leftButtonEnabled

    }

    ImageButton {
        id: right_button
        anchors.verticalCenterOffset: 0
        anchors.left: center_button.horizontalCenter
        anchors.leftMargin: 41 * main.screenScaleX
        anchors.verticalCenter: center_button.verticalCenter
        upimage: "../" + main.graphicsPath + "205/IPOD_Wheel_Right_Up.png"
        downimage: "../" + main.graphicsPath + "205/IPOD_Wheel_Right_Down.png"
        icon: "../" + main.graphicsPath + "205/IPOD_Controls_Forward.png"
        onClicked: {
            root.rightPressed()
//            bluetoothAdapter.currentConnectedDevice.next();
        }
        mouseAreaScale: 0.7
        enabled: root.rightButtonEnabled
    }

    Rectangle {
        id: wheel_well
        // helpful for alignment of circular button array, as buttons have shadows
        x: 75 * main.screenScaleX
        y: 43 * main.screenScaleY
        width: 285 * main.screenScaleX
        height: width
        color: "#ffffff"
        radius: width*0.5
        anchors.verticalCenterOffset: -2 * main.screenScaleY
        anchors.horizontalCenterOffset: -2 * main.screenScaleX
        z: -1
        anchors.horizontalCenter: center_button.horizontalCenter
        anchors.verticalCenter: center_button.verticalCenter
        opacity: 0
    }
} // end ipod wheel bluetooth
