import QtQuick 2.4

Item {
    id: root
    width: 1366 * main.screenScaleX
    height: 768 * main.screenScaleY

    Connections {
        target: main.isTft && root.visible ? keymapper : null

        onEnter2Pressed: {
            main.debugKeys("enter2Pressed", "SetupWizardIntro")
            setupWizard.changeState()
        }
    }

    Column{
        spacing: 30 * main.screenScaleX
        anchors.horizontalCenter: root.horizontalCenter
        anchors.verticalCenter: root.verticalCenter
        Text{
            text: qsTr("Setup Wizard") + application.emptyString
            font.bold: true
            font.pixelSize: 60 * main.screenScaleY
            horizontalAlignment: Text.AlignHCenter
            width: 500 * main.screenScaleX
            height: 100 * main.screenScaleY
        }

        Text{
            text: qsTr("Setup is now complete! Enjoy your machine!") + application.emptyString
            font.bold: true
            font.pixelSize: 30 * main.screenScaleY
            horizontalAlignment: Text.AlignHCenter
            width: 500 * main.screenScaleX
            height: 100 * main.screenScaleY
        }
    }

    Text {
        id: bottomHelpText
        visible: main.isTft

        height: 48 * main.screenScaleY
        font { family: "arial"; pixelSize: 36 * main.screenScaleY; bold: true }
        color: "#6c6c6c"
        text: qsTr("press ENTER to complete setup") + application.emptyString

        anchors.bottom: parent.bottom
        anchors.bottomMargin: 25 * main.screenScaleY
        anchors.horizontalCenter: parent.horizontalCenter
    }
}
