import QtQuick 2.4
import WorkoutManager 1.0
import Components 1.0

Item {
    id: root

    property int currentStride
    property bool autoStrideAvailable: workoutProgram.programIndex !== WorkoutProgram.STRIDE_INTERVALS_PROG && !workoutProgram.isC360Program

    signal strideSelected(int stride)

    height: 62 * main.screenScaleY
    width: childrenRect.width

    BorderImage {
        id: greenStrideBar
        source: main.graphicsPath + "CSA/strideadjust_greenbar.png"
        horizontalTileMode: BorderImage.Stretch
        border {
            left: 20
            right: 20
            top: 10
            bottom: 10
        }
        width: 770 * main.screenScaleX
        height: 32 * main.screenScaleY
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
    }

    Row {
        spacing: 10 * main.screenScaleX
        anchors.left: parent.left
        anchors.leftMargin: 10 * main.screenScaleX
        anchors.verticalCenter: greenStrideBar.verticalCenter

        Row {
            id: stride_buttons

            spacing: 20 * main.screenScaleX
            visible: root.visible
            anchors.verticalCenter: parent.verticalCenter
            ImageButton {
                id: strideLow
                upimage: root.currentStride === 13 ? main.graphicsPath + "205/Lrg_Button_Down.png" : main.graphicsPath + "205/Lrg_Button_Up.png"
                downimage: main.graphicsPath + "205/Lrg_Button_Down.png"
                onClicked: root.strideSelected(13)
                anchors.verticalCenter: parent.verticalCenter
                Image {
                    source: main.graphicsPath + "CSA/Data_ToolBar_Icon_Stride-Short.png"
                    y: 5 * main.screenScaleY
                    x: 5 * main.screenScaleX
                }
            }
            ImageButton {
                id: strideIntermed1
                y: 10 * main.screenScaleY
                upimage: root.currentStride === 17 ? main.graphicsPath + "205/SM_Button_ORANGE.png" : main.graphicsPath + "205/SM_Button_BLUE.png"
                downimage: main.graphicsPath + "205/SM_Button_ORANGE.png"
                onClicked: root.strideSelected(17)
            }
            ImageButton {
                id: strideMid
                upimage: root.currentStride === 21 ? main.graphicsPath + "205/Lrg_Button_Down.png" : main.graphicsPath + "205/Lrg_Button_Up.png"
                downimage: main.graphicsPath + "205/Lrg_Button_Down.png"
                onClicked: root.strideSelected(21)
                Image {
                    source: main.graphicsPath + "CSA/Data_ToolBar_Icon_Stride-Medium.png"
                    y: 5 * main.screenScaleY
                    x: 5 * main.screenScaleX
                }
            }
            ImageButton {
                id: strideIntermed2
                y: 10 * main.screenScaleY
                upimage: root.currentStride === 25 ? main.graphicsPath + "205/SM_Button_ORANGE.png" : main.graphicsPath + "205/SM_Button_BLUE.png"
                downimage: main.graphicsPath + "205/SM_Button_ORANGE.png"
                onClicked: root.strideSelected(25)
            }
            ImageButton {
                id: strideHigh
                upimage: root.currentStride === 30 ? main.graphicsPath + "205/Lrg_Button_Down.png" : main.graphicsPath + "205/Lrg_Button_Up.png"
                downimage: main.graphicsPath + "205/Lrg_Button_Down.png"
                onClicked: root.strideSelected(30)
                Image {
                    source: main.graphicsPath + "CSA/Data_ToolBar_Icon_Stride-Long.png"
                    y: 5 * main.screenScaleY
                    x: 5 * main.screenScaleX
                }
            }
        } // end buttons_row
        Text {
            id: unlockText

            visible: true
            font.pointSize: 14 * main.screenScaleY
            font.bold: true
            text: qsTr("QUICK STRIDE") + application.emptyString
            color: "#ffffff"
            width: 180 * main.screenScaleX
            wrapMode: Text.WordWrap
            verticalAlignment: Text.AlignVCenter
            anchors.verticalCenter: parent.verticalCenter
        }
        ImageButton {
            id: autoStrideButton

            visible: root.autoStrideAvailable
            upimage: machinecontrol.autoStrideEnabled ? main.graphicsPath + "205/Lrg_Button_Down.png" : main.graphicsPath + "205/Lrg_Button_Up.png"
            downimage: main.graphicsPath + "205/Lrg_Button_Down.png"
            onClicked: machinecontrol.autoStrideEnabled = !machinecontrol.autoStrideEnabled
            anchors.verticalCenter: parent.verticalCenter
            Image {
                source: main.graphicsPath + "CSA/Data_ToolBar_Icon_AutoStride.png"
                y: 5 * main.screenScaleY
                x: 5 * main.screenScaleX
            }
        }

    } // end Row

}
