// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import Components 1.0

ModalDialog {
    id: root

    blockKeys: true

//    signal acceptClicked()
//    signal cancelClicked()

//    property real oldSpeed
//    property real newSpeed

    signal jumpStart()

    onCountDownChanged: if(countDown == 1) jumpStart()

    BorderImage {   // pop-up dialog background
        id: border

        anchors.horizontalCenter: root.horizontalCenter
        anchors.verticalCenter: root.verticalCenter
        width: 800 * main.screenScaleX
        height: 350 * main.screenScaleY
        source: main.graphicsPath + "Pop_Up_Lrg_Grey.png"
        border { top: 152 * main.screenScaleY; bottom: 165 * main.screenScaleY; left: 145 * main.screenScaleX; right: 144 * main.screenScaleX }

        Text {
            id: warningText
            x: 149 * main.screenScaleX
            y: 35 * main.screenScaleY
            width: 501 * main.screenScaleX
            height: 99 * main.screenScaleY
            color: "#ffffff"
            text: qsTr("Workout Beginning in...") + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 35 * main.screenScaleY
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 40 * main.screenScaleY
        }


        Text { // show count down to timeout of prompt (started by startTimeout(seconds) method of ModalDialog superclass
            id: countdownText

            x: 350 * main.screenScaleX
            y: 168 * main.screenScaleY
            color: "#ffffff"

            // display count down (with a leading 0 if remaining seconds < 10
            text: ":" + ((countDown.toString().length < 2) ? "0" : "") + countDown
            font.bold: true
            font.pixelSize: 96 * main.screenScaleY

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 73 * main.screenScaleY
        }
    }


}

