#!/bin/sh

BT_USER=pulse
PRT=/var/run/pulse
sudo chmod 755 $PRT

# first argument is 0 or 1, to unmute or mute respectively
index=$(PULSE_RUNTIME_PATH=$PRT sudo -u $BT_USER -E pactl list sinks | grep -B3 "Name: bluez_sink" | grep "Sink" | sed 's/.*Sink #//')
if [ -z "$index" ]; then
  echo "Failed: No sink for BT audio found"
else
  echo "Muting $index $1"
  PULSE_RUNTIME_PATH=$PRT sudo -u $BT_USER -E   pactl set-sink-mute $index $1
fi

# Look for bluetooth sink-input. This is where a bluetooth audio device is streaming to the console
index=$(PULSE_RUNTIME_PATH=$PRT sudo -u $BT_USER -E pactl list sink-inputs | grep -B22 "audio-card-bluetooth" | grep "Sink Input" | sed 's/.*Sink Input #//')
if [ -z "$index" ]; then
  echo "Failed: No sink-input for BT audio found"
else
  echo "Muting $index $1"
PULSE_RUNTIME_PATH=$PRT sudo -u $BT_USER -E   pactl set-sink-input-mute $index $1
fi
sudo chmod 755 $PRT

